/**
 ****************************************************************************
 * @file	D_Para.h
 * @brief	Motor vector control Parameter Header File
 * @version	V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _D_PARA_H
#define _D_PARA_H


/*===================================================================*
	  Control motor Channel
 *===================================================================*/
#define	__CONTROL_MOTOR_CH1								/* Control motor ch1 */

/*===================================================================*
      Board Parameter Definition
 *===================================================================*/
/* When LED and SW are used __LED_SW=1, __PC_CH1=0 */
/* When PC UART is used __LED_SW=0, __PC_CH1=1 */
#define		__LED_SW	(1)								/* JP3:Short, JP8:Short */
#define		__PC_CH1	(0)								/* JP4:Short, JP9:Short */

/*===================================================================*
	  Select parts
 *===================================================================*/
#define	__USE_DAC										/* If define __USE_DAC, use dac ic control */
   
/*===================================================================*
	  Common Parameter Definition
 *===================================================================*/
/**** Main period ****/
#define	cMAINLOOP_PRD				(0.001)				/* [s] Cycle time of MAIN control */
#define	cMAINLOOP_CNT				((uint16_t)(cMAINLOOP_PRD / (250 * 1e-6)))

/**** Filter Coefficient ****/
#define	cIXO_AVE					(2)					/* Zero current filter */
#define	cOMEGAENC_AVE				(3)					/* Omega from Encoder filter */

/*===================================================================*
	  By channel parameters
 *===================================================================*/
#if defined(__CONTROL_MOTOR_CH1)
#include "D_Para_ch1.h"
#endif /* __CONTROL_MOTOR_CH1 */

#endif /* _D_PARA_H */

/*************************** END OF FILE **************************************/

