/**
 ****************************************************************************
 * @file	system_int.c
 * @brief	System Interrupt Functions for VE+
 * @version	V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#include "ipdefine.h"
#include "D_Para.h"

#include "interrupt.h"
#include "B_User.h"
#include "dac_drv.h"
#include "usercon.h"
#include "system_int.h"

void NMI_Handler(void)
{}

void HardFault_Handler(void)
{}

void MemManage_Handler(void)
{}

void BusFault_Handler(void)
{}

void UsageFault_Handler(void)
{}

void SVC_Handler(void)
{}

void DebugMon_Handler(void)
{}

void PendSV_Handler(void)
{}

void SysTick_Handler(void)
{}

void INTRX0_IRQHandler(void)
{}

void INTTX0_IRQHandler(void)
{
#if defined(__USE_DAC)
	DacWriteContinue(DAC_SIO_CH);
	__DSB();				/* for ARM processor errata 838469 */
#endif /* __USE_DAC */
}

void INTRX1_IRQHandler(void)
{
#if (__PC_CH1 == 1)
    UartDrvRcv();
	__DSB();				/* for ARM processor errata 838469 */
#endif
}

void INTTX1_IRQHandler(void)
{}

void INTVCNB_IRQHandler(void)
{
	INT_VCN1();
	__DSB();				/* for ARM processor errata 838469 */
}

void INTEMG1_IRQHandler(void)
{}

void INTOVV1_IRQHandler(void)
{}

void INTADBPDB_IRQHandler(void)
{
#if defined(__MOTOR_DEBUG_INT)
	INT_ADB();
	__DSB();				/* for ARM processor errata 838469 */
#endif
}

void INTTB00_IRQHandler(void)
{
	INT_interval_4kHz();
	__DSB();				/* for ARM processor errata 838469 */
}

void INTTB01_IRQHandler(void)
{}

void INTTB40_IRQHandler(void)
{}

void INTTB41_IRQHandler(void)
{}

void INTTB50_IRQHandler(void)
{}

void INTTB51_IRQHandler(void)
{}

void INTPMD1_IRQHandler(void)
{
	INT_PWM1();
	__DSB();				/* for ARM processor errata 838469 */
}

void INTCAP00_IRQHandler(void)
{}

void INTCAP01_IRQHandler(void)
{}

void INTCAP50_IRQHandler(void)
{}

void INTCAP51_IRQHandler(void)
{}

void INT6_IRQHandler(void)
{}

void INT7_IRQHandler(void)
{}

void INTADBCPA_IRQHandler(void)
{}

void INTADBCPB_IRQHandler(void)
{}

void INTADBSFT_IRQHandler(void)
{}

void INTADBTMR_IRQHandler(void)
{}

void INTENC0_IRQHandler(void)
{}

void INTTB70_IRQHandler(void)
{}

void INTTB71_IRQHandler(void)
{}

void INTCAP70_IRQHandler(void)
{}

void INTCAP71_IRQHandler(void)
{}

void INTC_IRQHandler(void)
{}

void INTSBI0_IRQHandler(void)
{}

/*********************************** END OF FILE ******************************/
