/**
 ****************************************************************************
 * @file	usercon.h
 * @brief	User control
 * @version	V1.0.0
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _USERCON_H
#define _USERCON_H

#undef EXTERN
#ifdef DEFINE_APP
#define EXTERN
#else
#define EXTERN  extern
#endif

/*****************************************************************
	Define for Software & Hardware seting
******************************************************************/

/*===================================================================*
	Define Typedef
*===================================================================*/
typedef struct
{
	uint8_t	tsw1   :1;
	uint8_t	sw1    :1;
	uint8_t	reserve:6;
} sw_t;

typedef struct
{
  	uint8_t			detflg;
	uint8_t			avecnt;
	uint16_t		maxdat;
	uint16_t		mindat;
	uint32_t		sumdat;
	uint16_t		avedat;
} addat_t;

/*===================================================================*
      Proto Type Definition
 *===================================================================*/
EXTERN	void	init_user_control(void);
EXTERN	void	user_control(void);
EXTERN	void	init_UartDrv(void);
EXTERN	void	UartDrv_putc(char c);
EXTERN	void	UartDrv_puts(const char *str);
EXTERN	char 	UartDrv_getc(void);
EXTERN	void    UartDrvRcv(void);

EXTERN	void	UiOutDataStart(void);

/*===================================================================*
	Variable Definition
 *===================================================================*/

EXTERN	sw_t		keydata;						/* Key data */

#undef EXTERN
#endif

/******************************** END OF FILE *********************************/
